> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/backend/september-2026/sep-9.md).

# Sep 9

| Environment    | Date        |
| -------------- | ----------- |
| Pre-Production | Sep 2, 2026 |
| Production     | Sep 9, 2026 |

### Click 2 Pay

#### New Features

* Add a Click 2 Pay Sandbox simulator. It lets issuers test D1 API integrations without payment network connections.

#### Improvements

* Truncate first and last names to 30 characters for Mastercard. This complies with Mastercard specifications.

### Core

#### Improvements

* Rework the Delete Consumer operation to reduce internal resource use and timeouts.

### Tokenization

#### New Features

* Add Cardholder Verification [Bank application ID\&V](https://docs.payments.thalescloud.io/tokenization/implement-tokenization/post-tokenization-requests/update-the-digital-card-assurance-method-e-commerce-only#verification-by-issuer-application) support for D1T issuers.
  * Previously, only OTP ID\&V was supported.
  * Integrate the CBS [`stepUpAuthenticationResult`](https://docs.payments.thalescloud.io/tokenization/integrate-the-d1-api/d1-api-reference/inbound-api-to-d1/digital-card-api#post-issuers-issuerid-digitalcards-digitalcardid-operations-stepupauthenticationresult) API.
  * Retrieve completed digital card Cardholder Verification operations through the [`GetAllDigitalCardOperations`](https://docs.payments.thalescloud.io/tokenization/integrate-the-d1-api/d1-api-reference/inbound-api-to-d1/digital-card-api#get-issuers-issuerid-digitalcards-digitalcardid-operations) API.

### Tokenization (Classic)

#### Improvements

* Special characters support in deviceName field for DDX (Discover) verifyCard API
* Added optional parameter **paymentAccountReference** in the response payload of [`requestCardDigitization`](https://docs.payments.thalescloud.io/classic-tokenization/api-reference/issuer-gateway-api/outbound-to-issuer#post-requestcarddigitization) API.

### NFC Wallet

#### New Features

* PURE Dynamic Language Preference Support
  * Added support for language preferences through the EMV standard language preference tag.
* Expanded PURE CDA Cryptographic Support
  * Added support for larger RSA key sizes for PURE Combined Data Authentication (CDA), enabling stronger cryptographic protection for contactless payment transactions and helping issuers meet enhanced security requirements.
* Support PURE PAR coming from issuer
  * If provided by the issuer, PAR (Payment Account Reference) will be included in token personalization configuration and mono-badged card metadata.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/backend/september-2026/sep-9.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
